com.collabnet.ce.soap60.webservices.tracker

## Class Tracker2SoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
    - - com.collabnet.ce.soap60.webservices.tracker.Tracker2SoapDO

-     public class Tracker2SoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  A Tracker is a collection of one or more tracker artifacts.
  Change History
  Release: 6.1
  - Added icon field.
  Release: 6.2
  - Added tracker unit.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tracker2SoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getAssignments()` Returns 'assignments'.
    `String` | `getAutoAssignField()` Returns 'autoAssignField'.
    `String` | `getIcon()` Returns 'icon'.
    `String` | `getTrackerUnitId()` Returns 'trackerUnitId'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setAssignments(com.collabnet.ce.soap60.types.SoapNamedValues assignments)` Sets 'assignments'.
    `void` | `setAutoAssignField(String autoAssignField)` Sets 'autoAssignField'.
    `void` | `setIcon(String icon)` Sets 'icon'.
    `void` | `setTrackerUnitId(String trackerUnitId)` Sets 'trackerUnitId'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

      `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tracker2SoapDO

          public Tracker2SoapDO()

  - ### Method Detail

    - #### getAutoAssignField

          public String getAutoAssignField()

      Returns 'autoAssignField'.
      Returns:
        Value of 'autoAssignField'.

    - #### setAutoAssignField

          public void setAutoAssignField(String autoAssignField)

      Sets 'autoAssignField'.
      Parameters:
        `autoAssignField` - Value of 'autoAssignField'.

    - #### getAssignments

          public com.collabnet.ce.soap60.types.SoapNamedValues getAssignments()

      Returns 'assignments'.
      Returns:
        Value of 'assignments'.

    - #### setAssignments

          public void setAssignments(com.collabnet.ce.soap60.types.SoapNamedValues assignments)

      Sets 'assignments'.
      Parameters:
        `assignments` - Value of 'assignments'.

    - #### getIcon

          public String getIcon()

      Returns 'icon'. Accepted pattern for Tracker Icon argument are 1. A String following the format "icon_" + decimal_digit + decimal_digit + ".png" [ex: icon_01.png , icon_99.png] 2. A null value.
      Returns:
        Value of 'icon'.

    - #### setIcon

          public void setIcon(String icon)

      Sets 'icon'. Accepted pattern for Tracker Icon argument are 1. A String following the format "icon_" + decimal_digit + decimal_digit + ".png" [ex: icon_01.png , icon_99.png] 2. A null value.
      Parameters:
        `icon` - Value of 'icon'.

    - #### getTrackerUnitId

          public String getTrackerUnitId()

      Returns 'trackerUnitId'. The tracker unit id.
      Returns:
        Value of 'trackerUnitId'.

    - #### setTrackerUnitId

          public void setTrackerUnitId(String trackerUnitId)

      Sets 'trackerUnitId'. The tracker unit id.
      Parameters:
        `trackerUnitId` - Value of 'trackerUnitId'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.